Bug 668549 - Cobbler doesn't import httpd_sys_content_t labeled stuff while SELinux enabled
Summary: Cobbler doesn't import httpd_sys_content_t labeled stuff while SELinux enabled
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: install-guide
Version: devel
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Petr Bokoc
QA Contact: Ruediger Landmann
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-10 19:06 UTC by Renich Bon Ciric
Modified: 2014-06-27 23:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-27 23:09:46 UTC


Attachments (Terms of Use)

Description Renich Bon Ciric 2011-01-10 19:06:05 UTC
Description of problem:
While SELinux is enabled, it will not let /mnt/dvd be imported if mounted with the httpd_sys_content_t label.

It shouldn't suggested to mount things in /mnt with a httpd_sys_content_t label. SELinux complains about it not having the label it should (mnt_t).

It, actually, worked with the default label: iso9660_t

Other SELinux issues which where reported with Mr. Walsh
  
Actual results:
Not working the way you suggest

Expected results:
It should work

Comment 1 Jack Reed 2011-10-27 06:13:35 UTC
Thanks for this, Renich.

For the F16 version of the guide, I've added a note to the distribution setup procedure explaining that the default label should be used in this case.

The draft can be found at http://docs.fedoraproject.org/en-US/Fedora_Draft_Documentation/0.1/html/Installation_Guide/sn-cobbler-setup-distro.html

Cheers,

Jack

Comment 2 Renich Bon Ciric 2011-10-27 07:01:46 UTC
;=)

Glad to know.

Comment 3 Karsten Wade 2011-12-14 03:47:19 UTC
Removing myself for these bug components as I'm either no longer involved in that aspect of the project, or no longer care to watch this particular bug. Sorry if you are caught in a maelstrom of bug changes as a result!

Comment 5 Pete Travis 2013-06-17 16:37:12 UTC
Cobbler deployment really isn't as straightforward as we've presented it.  I think it's a great tool, but it should be comprehensively documented or not at all. How about commenting this section out until the content is built up appropriately?

Comment 6 Pete Travis 2014-06-27 23:09:46 UTC
The immediate issue has been addressed here. I'll take my questions to a more appropriate venue.


Note You need to log in before you can comment on or make changes to this bug.